org.apache.http.impl.io

## Class DefaultHttpRequestParserFactory

- java.lang.Object
- - org.apache.http.impl.io.DefaultHttpRequestParserFactory

All Implemented Interfaces:
  HttpMessageParserFactory<HttpRequest>

    @Immutable
    public class DefaultHttpRequestParserFactory
    extends Object
    implements HttpMessageParserFactory<HttpRequest>

Default factory for request message parsers.

Since:
  4.3

### Field Summary

Fields
`static DefaultHttpRequestParserFactory` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultHttpRequestParserFactory()`
`DefaultHttpRequestParserFactory(LineParser lineParser, HttpRequestFactory requestFactory)`

### Method Summary

Methods
`HttpMessageParser<HttpRequest>` `create(SessionInputBuffer buffer, MessageConstraints constraints)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final DefaultHttpRequestParserFactory INSTANCE

### Constructor Detail

#### DefaultHttpRequestParserFactory

    public DefaultHttpRequestParserFactory(LineParser lineParser,
                                   HttpRequestFactory requestFactory)

#### DefaultHttpRequestParserFactory

    public DefaultHttpRequestParserFactory()

### Method Detail

#### create

    public HttpMessageParser<HttpRequest> create(SessionInputBuffer buffer,
                                        MessageConstraints constraints)

Specified by:
  `create` in interface `HttpMessageParserFactory<HttpRequest>`